# Get Custom Entity Metadata

The metadata is a JSON Schema document that describes the implicit and custom properties
exposed by the specified Custom Entity resource. The schema should be consulted to build
requests against the other Custom Entity endpoints (which fields can be used in $select,
$filter, $orderby, request bodies, etc.).
            
## Authentication
            
Requires a valid API key in the X-API-KEY header.
            
## Response
            
200 OK — Returns the JSON Schema as a ServiceDocumentRepresentation.
            
## Error Responses
            
- 401 Unauthorized — Missing or invalid API key.
- 404 Not Found — Tenant or Custom Entity not found.
- 500 Internal Server Error — Unexpected technical error.
            
## Example
            
Request:
http
GET /CustomEntities('Brand')/$metadata HTTP/1.1
X-API-KEY: your-api-key-here

            
Response:
http
HTTP/1.1 200 OK
Content-Type: application/json

Endpoint: GET /CustomEntities('{customEntityDenominator}')/$metadata
Version: 2.0.0

## Header parameters:

  - `X-API-KEY` (string)
    Tenant's API key (required)

## Path parameters:

  - `customEntityDenominator` (string, required)
    Custom Entity denominator (natural language name as defined in the PIM)

## Response 200 fields (application/json):

  - `readLink` (object)

  - `readLink.uri` (string,null)

  - `value` (any,null)

## Response 400 fields (application/json):

  - `validationFailures` (object,null)
    Example: {"Layout":[{"PropertyName":"Layout","ErrorMessage":"The layout must contain exactly the attributes of the stored layout. Missing: tags. Unknown: extra_field.","AttemptedValue":null}]}

## Response 401 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 500 fields (application/json):

  - `error` (string,null)

  - `details` (any,null)


